Mangools/API

Get URL metrics overview

With this endpoint you will get the following details for a specific URL or (sub)domain:

  • Domain Authority (MOZ)
  • Page Authority (MOZ)
  • Citation Flow (Majestic)
  • Trust flow (Majestic)
  • TopRank rank with history (since 2016 when available)
  • Referring IPs with history (since 2016 when available)
  • Facebook shares with history (since 2016 when available)
GET
/siteprofiler/overview

Authorization

ApiKeyAuth
x-access-token<token>

API token issued for your Mangools account, sent as an API key in the x-access-token HTTP header. This is NOT a standard RFC 6750 Authorization: Bearer <token> header. Auto-generated clients should be configured to send the token in x-access-token accordingly.

In: header

Query Parameters

url*string

Target URL / domain / subdomain

Response Body

application/json

application/json

application/json

application/json

curl -X GET "https://api.mangools.com/v3/siteprofiler/overview?url=string"
{
  "urlId": "6be984976f0eedca1741745c5e5290c0",
  "moz": {
    "pda": 60,
    "upa": 61
  },
  "majestic": {
    "Status": "Found",
    "CitationFlow": 53,
    "TrustFlow": 63,
    "RefIPs": 3475,
    "ItemType": 3
  },
  "fb": {
    "l": 0,
    "og": {
      "description": "string",
      "title": "string",
      "image": "string"
    }
  },
  "domainId": "exampledomain.com",
  "domain": "exampledomain.com",
  "majesticHistory": {
    "2021-04-12": {
      "rank": 7886,
      "refIps": 3475,
      "refSubnets": 2503
    }
  },
  "fbHistory": {
    "2021-04-12": 1183
  },
  "rankDist": [
    {
      "_id": "f96c16a793a4f2f376ec7272382860d2",
      "domain": "exampledomain.com",
      "bucket": -1896106463,
      "lid": 2250,
      "visibility": {
        "2019-04": {
          "organic": {
            "sum": 447,
            "traffic": 403,
            "index": 902
          },
          "paid": {
            "sum": 447,
            "traffic": 0,
            "index": 0
          },
          "updated_at": 1558086619834
        }
      },
      "rank": {
        "2019-04": {
          "organic": [
            {
              "r": 1,
              "v": 2
            },
            {
              "r": 10,
              "v": 1
            }
          ],
          "paid": [],
          "updated_at": 1558086619834
        }
      },
      "updated_at": 1558086619,
      "metrics_absolute": {
        "property1": {
          "organic": {
            "pos_1": 6696,
            "pos_2_3": 23889,
            "pos_4_10": 124080,
            "pos_11_20": 160861,
            "pos_21_30": 134966,
            "pos_31_40": 147168,
            "pos_41_50": 157139,
            "pos_51_60": 159320,
            "pos_61_70": 162025,
            "pos_71_80": 167414,
            "pos_81_90": 176025,
            "pos_91_100": 129790,
            "count": 1549381,
            "etv": 7262760.486102195,
            "impressions_etv": 1096663.9067178322,
            "estimated_paid_traffic_cost": 15183566.728475826,
            "is_new": 455287,
            "is_up": 608410,
            "is_down": 287212,
            "is_lost": 589667,
            "property1": 0,
            "property2": 0
          }
        },
        "property2": {
          "organic": {
            "pos_1": 6696,
            "pos_2_3": 23889,
            "pos_4_10": 124080,
            "pos_11_20": 160861,
            "pos_21_30": 134966,
            "pos_31_40": 147168,
            "pos_41_50": 157139,
            "pos_51_60": 159320,
            "pos_61_70": 162025,
            "pos_71_80": 167414,
            "pos_81_90": 176025,
            "pos_91_100": 129790,
            "count": 1549381,
            "etv": 7262760.486102195,
            "impressions_etv": 1096663.9067178322,
            "estimated_paid_traffic_cost": 15183566.728475826,
            "is_new": 455287,
            "is_up": 608410,
            "is_down": 287212,
            "is_lost": 589667,
            "property1": 0,
            "property2": 0
          }
        }
      }
    }
  ],
  "topRank": 3190,
  "topRankHistory": {
    "2020-10-05": 13050,
    "2021-02-19": 9312,
    "2021-04-12": 7886
  }
}
{
  "error": {
    "type": "AuthError",
    "message": "Invalid API Key"
  }
}
{
  "error": {
    "type": "InvalidInput",
    "message": "Parameter url is invalid"
  }
}
{
  "error": {
    "type": "RateLimit",
    "message": "Not enough limits 2"
  }
}